local M = {}

local function init()
	electrics.values['steering_rear'] = 0

end

local function reset()
	init()
end

local function updateGFX(dt)
	if input.keys.H then 
		electrics.values['steering_rear'] = 1
	end

        if input.keys.G then 
		electrics.values['steering_rear'] = -1
	end

        if not input.keys.H and not input.keys.G then 
		if electrics.values['steering_rear'] > 0 then electrics.values['steering_rear'] = math.max(electrics.values['steering_rear'] - 0.1, 0) end
		if electrics.values['steering_rear'] < 0 then electrics.values['steering_rear'] = math.min(electrics.values['steering_rear'] + 0.1, 0) end
	end
	
end

-- public interface
M.init      = init
M.reset     = reset
M.updateGFX = updateGFX

return M