singleton Material(acmat0)
{
   mapTo = "acmat0";
   diffuseMap[2] = "vehicles/DWB/DW01_c.png";
   specularMap[2] = "vehicles/DWB/DW01_s.png";
   normalMap[2] = "vehicles/DWB/DW01_n.png";
   diffuseMap[1] = "vehicles/DWB/DWTEXTURE.png";
   specularMap[1] = "vehicles/DWB/DW01_s.png";
   normalMap[1] = "vehicles/DWB/DW01_n.png";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/DWB/DW01_n.png";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[2] = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(DWB_needles)
{
   mapTo = "DWB_needles";
   diffuseMap[1] = "vehicles/DWB/DWB_needles_d.png";
   specularMap[1] = "vehicles/DWB/DWB_needles_s.png";
   normalMap[1] = "vehicles/DWB/DWB_needles_n.png";
   diffuseMap[0] = "vehicles/DWB/DWB_needles_d.png";
   specularMap[0] = "vehicles/DWB/DWB_needles_s.png";
   normalMap[0] = "vehicles/DWB/DWB_needles_n.png";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "0";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 0.01";
};

singleton Material(DWB_needles_on)
{
   mapTo = "DWB_needles_on";
   diffuseMap[1] = "vehicles/DWB/DWB_needles_d.png";
   specularMap[1] = "vehicles/DWB/DWB_needles_s.png";
   normalMap[1] = "vehicles/DWB/DWB_needles_n.png";
   diffuseMap[0] = "vehicles/DWB/DWB_needles_d.png";
   specularMap[0] = "vehicles/DWB/DWB_needles_s.png";
   normalMap[0] = "vehicles/DWB/DWB_needles_n.png";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   glow[1] = "0";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 0.2";
   
};

singleton Material(DWB_gauges)
{
   mapTo = "DWB_gauges";
   diffuseMap[1] = "vehicles/DWB/DWB_gauges_d.png";
   specularMap[1] = "vehicles/DWB/DWB_gauges_s.png";
   normalMap[1] = "vehicles/DWB/DWB_gauges_n.png";
   diffuseMap[0] = "vehicles/DWB/DWB_gauges_d.png";
   specularMap[0] = "vehicles/DWB/DWB_gauges_s.png";
   normalMap[0] = "vehicles/DWB/DWB_gauges_n.png";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "0";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 0.01";
};

singleton Material(DWB_gauges_on)
{
   mapTo = "DWB_gauges_on";
   
   diffuseMap[1] = "vehicles/DWB/DWB_gauges_d.png";
   specularMap[1] = "vehicles/DWB/DWB_gauges_s.png";
   normalMap[1] = "vehicles/DWB/DWB_gauges_n.png";
   diffuseMap[0] = "vehicles/DWB/DWB_gauges_d.png";
   specularMap[0] = "vehicles/DWB/DWB_gauges_s.png";
   normalMap[0] = "vehicles/DWB/DWB_gauges_n.png";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   glow[1] = "0";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 0.1";
  
};

singleton Material(DWB_glass)
{
   mapTo = "DWB_glass";
   
   specularMap[0] = "vehicles/DWB/DWB_glass_s.png";
   diffuseMap[1] = "vehicles/DWB/DWB_glass_d.png";
   specularMap[1] = "vehicles/DWB/DWB_glass_s.png";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(DWB_lights)
{
   mapTo = "DWB_lights";
   diffuseMap[1] = "vehicles/DWB/DWB_lights_d.png";
   specularMap[1] = "vehicles/DWB/DWB_lights_s.png";
   normalMap[1] = "vehicles/DWB/DWB_lights_n.png";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/DWB/DWB_lights_n.png";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(DWB_lights_on)
{
   mapTo = "DWB_lights_on";
   diffuseMap[2] = "vehicles/DWB/DWB_lights_g.png";
   specularMap[2] = "vehicles/DWB/DWB_lights_s.png";
   normalMap[2] = "vehicles/DWB/DWB_lights_n.png";
   diffuseMap[1] = "vehicles/DWB/DWB_lights_d.png";
   specularMap[1] = "vehicles/DWB/DWB_lights_s.png";
   normalMap[1] = "vehicles/DWB/DWB_lights_n.png";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/DWB/DWB_lights_n.png";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(DWB_lights_on_intense)
{
   mapTo = "DWB_lights_on_intense";
   diffuseMap[2] = "vehicles/DWB/DWB_lights_g.png";
   specularMap[2] = "vehicles/DWB/DWB_lights_s.png";
   normalMap[2] = "vehicles/DWB/DWB_lights_n.png";
   diffuseMap[1] = "vehicles/DWB/DWB_lights_d.png";
   specularMap[1] = "vehicles/DWB/DWB_lights_s.png";
   normalMap[1] = "vehicles/DWB/DWB_lights_n.png";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/DWB/DWB_lights_n.png";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.20";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(DWB_lights_dmg)
{
   mapTo = "DWB_lights_dmg";
   diffuseMap[1] = "vehicles/DWB/DWB_lights_dmg_d.png";
   specularMap[1] = "vehicles/DWB/DWB_lights_dmg_s.png";
   normalMap[1] = "vehicles/DWB/DWB_lights_dmg_n.png";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/DWB/DWB_lights_dmg_n.png";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(DWB_lowbeam)
{
   mapTo = "DWB_lowbeam";
};

singleton Material(DWB_highbeam)
{
   mapTo = "DWB_highbeam";
};

singleton Material(DWB_tiree)
{
   mapTo = "tiree";
   diffuseColor[0] = "0.00154743 0.00154743 0.00154743 1";
   specular[0] = "3.72525e-009 3.72525e-009 3.72525e-009 1";
   specularPower[0] = "16";
   translucentBlendOp = "None";
   diffuseMap[1] = "vehicles/DWB/DesperadoTyre.dds";
   specularStrength[1] = "4.5098";
   pixelSpecular[1] = "1";
   specularMap[1] = "vehicles/DWB/DesperadoTyre_s.dds";
   materialTag0 = "Miscellaneous";
};